about summary refs log tree commit diff
path: root/tests
diff options
context:
space:
mode:
authorGraham Christensen <graham@grahamc.com>2017-07-13T00·43-0400
committerGraham Christensen <graham@grahamc.com>2017-07-14T16·11-0400
commit73a57a2f22668394740e1f642573b67a1316dee7 (patch)
treeff7b6577e972bdb48a8b8607b6c31b8c3c2e2472 /tests
parent3839dda2ecc0444db1469757b4a3e1f4f776fe9d (diff)
Cleanup and more specificity around set -e
Diffstat (limited to 'tests')
-rwxr-xr-xtests/install-darwin.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/tests/install-darwin.sh b/tests/install-darwin.sh
index b553f71052..d2a7ab456e 100755
--- a/tests/install-darwin.sh
+++ b/tests/install-darwin.sh
@@ -26,14 +26,11 @@ cleanup() {
         fi
     done
 
-
-
     for i in $(seq 1 $(sysctl -n hw.ncpu)); do
         sudo /usr/bin/dscl . -delete "/Users/nixbld$i" || true
     done
     sudo /usr/bin/dscl . -delete "/Groups/nixbld" || true
 
-
     sudo rm -rf /etc/nix \
          /nix \
          /var/root/.nix-profile /var/root/.nix-defexpr /var/root/.nix-channels \
@@ -41,7 +38,10 @@ cleanup() {
 }
 
 verify() {
+    set +e
     output=$(echo "nix-shell -p bash --run 'echo toow | rev'" | bash -l)
+    set -e
+
     test "$output" = "woot"
 }
 
@@ -58,10 +58,12 @@ verify
 
 
 (
+    set +e
     (
         echo "cd $(pwd)"
         echo nix-build ./release.nix -A binaryTarball.x86_64-darwin
     ) | bash -l
+    set -e
     cp ./result/nix-*.tar.bz2 $scratch/nix.tar.bz2
 )